# 区块链技术指南
0.8.4

区块链技术是金融科技（Fintech）领域的一项重要技术创新。

作为去中心化记账（Decentralized Ledger Technology，DLT）平台的核心技术，区块链被认为在金融、征信、物联网、经济贸易结算、资产管理等众多领域都拥有广泛的应用前景。区块链技术自身尚处于快速发展的初级阶段，现有区块链系统在设计和实现中利用了分布式系统、密码学、博弈论、网络协议等诸多学科的知识，为学习原理和实践应用都带来了不小的挑战。

目前该领域尚缺乏一本较为系统的技术资料。本书希望可以探索区块链概念的来龙去脉，剥茧抽丝，剖析关键技术原理，同时讲解实践应用。在开发相关开源项目，以及编写区块链平台的过程中，笔者积累了一些实践经验，也通过本书一并分享出来，希望能推动区块链技术的早日成熟和更多应用场景的出现。

本书适用于对区块链技术感兴趣，且具备一定信息和金融基础知识的读者；无技术背景的读者也可以从中了解到区块链的应用现状。

* 在线阅读：[GitBook](https://www.gitbook.com/book/yeasy/blockchain_guide) 或 [GitHub](https://github.com/yeasy/blockchain_guide/blob/master/SUMMARY.md)。
* pdf 版本 [下载](https://www.gitbook.com/download/pdf/book/yeasy/blockchain_guide)
* epub 版本 [下载](https://www.gitbook.com/download/epub/book/yeasy/blockchain_guide)

区块链技术自身仍在快速发展中，生态环境也在蓬勃成长。欢迎参与维护项目：[如何贡献](contribute.md)。

* [修订记录](revision.md)
* [贡献者名单](https://github.com/yeasy/blockchain_guide/graphs/contributors)

## 进阶学习
![区块链原理、设计与应用](_images/blockchain_book.png)

《[区块链原理、设计与应用](https://item.jd.com/12159265.html)》已经正式出版，详细介绍了区块链相关技术，特别超级账本的设计、架构和应用，欢迎大家阅读使用并反馈建议。

* [京东图书](https://item.jd.com/12159265.html)

## 鼓励项目

欢迎鼓励项目一杯 coffee~

![coffee](_images/donate.jpeg)

## 技术交流

欢迎大家加入区块链技术讨论群：

* QQ 群   I：335626996（已满）
* QQ 群  II：523889325（已满）
* QQ 群 III：414919574（已满）
* QQ 群  IV：364824846（可加）
